Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.hw
Class ModuleLogic

    java.lang.Object
      rdlc.rdl.Field_Named
          rdlc.hw.ModuleLogic

All Implemented Interfaces:
  Expression, Field

Direct Known Subclasses:
  ModuleMux

    public class ModuleLogic

extends Field_Named

An abstract representation of a simple piece of hardware logic. This is roughly a representation of a verilog assign statement.

Version:
  $Revision: 1.8 $
Author:
  Greg Gibeling

Nested Class Summary

Nested classes/interfaces inherited from interface rdlc.rdl.Expression
`Expression.Phase`

Field Summary
`protected Expression` | `exp` The value being assigned to the target.
`protected Expression` | `target` The target of this assignment, it is an expression because a concatentation is a valid lvalue.

Fields inherited from class rdlc.rdl.Field_Named
`iName, instance, namespace, rawDynamicID`

Constructor Summary
`ModuleLogic(Expression _target, Instance _instance, Expression _exp)` Simple constructor, records the given arguments.
`ModuleLogic(ModuleWire _target, Instance _instance, Expression _exp)` Simple constructor, records the given arguments.

Method Summary
`Field` | `copy(java.lang.String _name, Instance _instance)` Create a copy of this field in the given instance.
`Expression` | `getExpression()` Simple accessor.
`Expression` | `getTarget()` Simple accessor.

Methods inherited from class rdlc.rdl.Field_Named
`getIdentifier, getRawDynamicID, getRequirements, resolve, setInstance, setNamespace, setRawDynamicID, toString, typeMatch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### target

    protected Expression target

  The target of this assignment, it is an expression because a concatentation is a valid lvalue.

### exp

    protected Expression exp

  The value being assigned to the target.

Constructor Detail

### ModuleLogic

    public ModuleLogic(Expression _target,
                       Instance _instance,
                       Expression _exp)

  Simple constructor, records the given arguments.

  Parameters:
    `_target` - The target of this logic assignment.
    `_instance` - The instance to which this logic is being added.
    `_exp` - The expression assigned to the target.

### ModuleLogic

    public ModuleLogic(ModuleWire _target,
                       Instance _instance,
                       Expression _exp)

  Simple constructor, records the given arguments.

  Parameters:
    `_target` - The target of this logic assignment.
    `_instance` - The instance to which this logic is being added.
    `_exp` - The expression assigned to the target.

Method Detail

### copy

    public Field copy(java.lang.String _name,
                      Instance _instance)

  Description copied from interface: `Field`
  Create a copy of this field in the given instance. This is highly useful during dynamic hierarchy copying and during back end generation.

  Parameters:
    `_name` - The new name to use.
    `_instance` - The instance the copy should be a member of.
  See Also:
    `Field.copy(String, Instance)`

### getTarget

    public Expression getTarget()

  Simple accessor.

  Returns:
    The target of this logic.

### getExpression

    public Expression getExpression()

  Simple accessor.

  Returns:
    The expression being assigned to the target.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD